- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# PlayMusicCommand Class Reference

`#include <Command.h>`

Inheritance diagram for PlayMusicCommand:

List of all members.

## Public Member Functions
| PlayMusicCommand (std::string filename)
| PlayMusicCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
Mix_Music * | _music
std::string | _filename
## Static Private Attributes
static const std::string | _id = "playMusic"

## Detailed Description

Definition at line 101 of file Command.h.

## Constructor & Destructor Documentation

PlayMusicCommand::PlayMusicCommand | ( | std::string | filename | ) |

| Definition at line 9 of file PlayMusicCommand.cpp. References _filename, Level::instance(), and Level::setMusic().

PlayMusicCommand::PlayMusicCommand | ( | List * | command | ) |

| Definition at line 15 of file PlayMusicCommand.cpp. References _filename, List::firstString(), Level::instance(), List::rest(), and Level::setMusic().

## Member Function Documentation

void PlayMusicCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 22 of file PlayMusicCommand.cpp. References Level::instance().

std::string PlayMusicCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 28 of file PlayMusicCommand.cpp. References _filename, _id, List::getString(), and List::snoc().

static std::string PlayMusicCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 108 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

std::string PlayMusicCommand::_filename`[private]`

| Definition at line 111 of file Command.h. Referenced by getString(), and PlayMusicCommand().

const std::string PlayMusicCommand::_id = "playMusic"`[static, private]`

| Definition at line 113 of file Command.h. Referenced by getString(), and id().

Mix_Music* PlayMusicCommand::_music`[private]`

| Definition at line 110 of file Command.h.

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/PlayMusicCommand.cpp